OracleVM 3.4 : xen (OVMSA-2016-0088) (Bunker Buster)

High Nessus Plugin ID 92600

Synopsis

The remote OracleVM host is missing one or more security updates.

Description

The remote OracleVM system is missing necessary patches to address critical security updates :

- BUILDINFO:
commit=aff08b43b1a504aa14a0fce65302ccf515b69fdf

- Remove unsafe bits from the mod_l?_entry fastpath (Andrew Cooper) (CVE-2016-6258)

- x86/mm: fully honor PS bits in guest page table walks (Jan Beulich) (CVE-2016-4480) (CVE-2016-4480)

- libxl: Document ~/serial/ correctly (Ian Jackson) (CVE-2016-4962)

- libxl: Cleanup: Have libxl__alloc_vdev use /libxl (Ian Jackson) (CVE-2016-4962)

- libxl: Do not trust frontend for nic in getinfo (Ian Jackson) (CVE-2016-4962)

- libxl: Do not trust frontend for nic in libxl_devid_to_device_nic (Ian Jackson) (CVE-2016-4962)

- libxl: Do not trust frontend for vtpm in getinfo (Ian Jackson) (CVE-2016-4962)

- libxl: Do not trust frontend for vtpm list (Ian Jackson) (CVE-2016-4962)

- libxl: Do not trust frontend for disk in getinfo (Ian Jackson) (CVE-2016-4962)

- libxl: Do not trust frontend for disk eject event (Ian Jackson) (CVE-2016-4962)

- libxl: Do not trust frontend in libxl__device_nextid (Ian Jackson) (CVE-2016-4962)

- libxl: Do not trust frontend in libxl__devices_destroy (Ian Jackson) (CVE-2016-4962)

- libxl: Provide libxl__backendpath_parse_domid (Ian Jackson) (CVE-2016-4962)

- libxl: Record backend/frontend paths in /libxl/$DOMID (Ian Jackson) (CVE-2016-4962)

- x86: limit GFNs to 32 bits for shadowed superpages. (Tim Deegan) (CVE-2016-3960)

- x86: fix information leak on AMD CPUs (Jan Beulich) (CVE-2016-3158) (CVE-2016-3159) (CVE-2016-3158) (CVE-2016-3159) (CVE-2016-3158) (CVE-2016-3159)

- x86: enforce consistent cachability of MMIO mappings (Jan Beulich) (CVE-2016-2270) (CVE-2016-2270)

Solution

Update the affected xen / xen-tools packages.

See Also

https://oss.oracle.com/pipermail/oraclevm-errata/2016-July/000503.html

Plugin Details

Severity: High

ID: 92600

File Name: oraclevm_OVMSA-2016-0088.nasl

Version: 2.13

Type: local

Published: 2016/07/28

Updated: 2018/11/19

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.2

Temporal Score: 5.3

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:vm:xen, p-cpe:/a:oracle:vm:xen-tools, cpe:/o:oracle:vm_server:3.4

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2016/07/27

Reference Information

CVE: CVE-2016-2270, CVE-2016-3158, CVE-2016-3159, CVE-2016-3960, CVE-2016-4480, CVE-2016-4962, CVE-2016-6258

IAVB: 2016-B-0118